#include <Fluid/Fluid.hpp>

Fluid::Fluid(
    std::string name,
    std::string displayName,
    std::string textureName,
    float density,
    BarrelTier minBarrelTier,
    CapsuleTier minCapsuleTier,
    Sound &enterSound,
    Sound &leaveSound
) :
    name(name),
    displayName(displayName),
    textureName(textureName),
    density(density),
    minBarrelTier(minBarrelTier),
    minCapsuleTier(minCapsuleTier),
    enterSound(enterSound),
    leaveSound(leaveSound)
{}

Fluid& Fluid::withMapColor(glm::vec4 color)
{
    mapColor = color;
    return *this;
}

Fluid& Fluid::withFlowRate(int rate)
{
    flowRate = rate;
    return *this;
}